﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Weapon : MonoBehaviour 
{
	[Header ("PIVOT")]
	public Transform pivot;

	[Header ("FIRE")]
	public int currentFire = 0;
	public int maxFire = 0;
	public int fireGrab = 10;

	[Header ("FIREBALL")]
	public int cost = 20;
	public GameObject fireball;
	public Transform fireballPoint;

	public void LaunchFireball ()
	{
		bool fireballLaunch = (currentFire - cost) >= 0;

		if (fireballLaunch)
		{
			currentFire -= cost;

			Instantiate (fireball, fireballPoint.position, Quaternion.identity);
		}
	}

	void OnTriggerEnter2D (Collider2D other)
	{
		if (other.gameObject.tag == "Enemy")
		{
			Destroy (other.gameObject);
		}

		if (other.gameObject.tag == "Fire")
		{
			currentFire = Mathf.Clamp (currentFire + fireGrab, 0, maxFire);

			Destroy (other.gameObject);
		}
	}
}